<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Guide du nouveau responsable Debian</title>
    <link rel="stylesheet" type="text/css" href="debian.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="next" href="start.fr.html" title="Chapitre 1. Partir du bon pied"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Guide du nouveau responsable Debian</th>
        </tr>
        <tr>
          <td align="left"> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="start.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div xml:lang="fr" class="book">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="idp38195600"/>Guide du nouveau responsable Debian</h1>
          </div>
          <div>
            <div class="authorgroup">
              <div class="author"><h3 class="author">Josip Rodin</h3><span class="contrib">version initiale</span> <code class="email">&lt;<a class="email" href="mailto:joy-mg@debian.org">joy-mg@debian.org</a>&gt;</code></div>
              <div class="author"><h3 class="author">Osamu Aoki</h3><span class="contrib">version mise à jour</span> <code class="email">&lt;<a class="email" href="mailto:osamu@debian.org">osamu@debian.org</a>&gt;</code></div>
              <div class="othercredit"><h3 class="othercredit">Frédéric Dumont</h3><span class="contrib">traduction française</span> <code class="email">&lt;<a class="email" href="mailto:frederic.dumont@easynet.be">frederic.dumont@easynet.be</a>&gt;</code></div>
              <div class="othercredit"><h3 class="othercredit">Mohammed Adnène Trojette</h3><span class="contrib">traduction française</span> <code class="email">&lt;<a class="email" href="mailto:adn+deb@diwi.org">adn+deb@diwi.org</a>&gt;</code></div>
              <div class="othercredit"><h3 class="othercredit">David Prévot</h3><span class="contrib">traduction française</span> <code class="email">&lt;<a class="email" href="mailto:david@tilapin.org">david@tilapin.org</a>&gt;</code></div>
              <div class="othercredit"><h3 class="othercredit">les membres de la liste debian-l10n-french</h3><span class="contrib">traduction française</span> <code class="email">&lt;<a class="email" href="mailto:debian-l10n-french@lists.debian.org">debian-l10n-french@lists.debian.org</a>&gt;</code></div>
            </div>
          </div>
          <div>
            <p class="releaseinfo">version 1.2.36</p>
          </div>
          <div>
            <p class="copyright">Copyright © 1998-2002 Josip Rodin</p>
          </div>
          <div>
            <p class="copyright">Copyright © 2005-2015 Osamu Aoki</p>
          </div>
          <div>
            <p class="copyright">Copyright © 2010 Craig Small</p>
          </div>
          <div>
            <p class="copyright">Copyright © 2010 Raphaël Hertzog</p>
          </div>
          <div>
            <div class="legalnotice">
              <a id="idp38150704"/>
              <p>
Ce document peut être utilisé selon les termes de la Licence publique
générale de GNU version 2 ou suivante.
</p>
              <p>
Ce document a été créé en se basant sur les deux suivants :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
Making a Debian Package (le manuel de debmake), copyright © 1997 Jaldhar
Vyas.
</p>
                  </li>
                  <li class="listitem">
                    <p>
The New-Maintainer's Debian Packaging Howto, copyright © 1997 Will Lowe.
</p>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <div>
            <p class="pubdate">2015-06-09 13:01:44 UTC</p>
          </div>
        </div>
        <hr/>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="chapter">
              <a href="start.fr.html">1. Partir du bon pied</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="start.fr.html#socialdynamics">1.1. Dynamique sociale de Debian</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="start.fr.html#needprogs">1.2. Programmes nécessaires au développement</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="start.fr.html#needdocs">1.3. Documentation nécessaire au développement</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="start.fr.html#helpme">1.4. Où demander de l'aide</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="first.fr.html">2. Premiers pas</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="first.fr.html#workflow">2.1. Processus de construction de paquet Debian</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#choose">2.2. Choix du programme</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#getit">2.3. Obtenir le programme et l'essayer</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#simplemake">2.4. Systèmes de construction simples</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#portable">2.5. Systèmes de construction portables répandus</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#namever">2.6. Nom et version de paquet</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#dh-make">2.7. Configuration de <span class="command"><strong>dh_make</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="first.fr.html#non-native-dh-make">2.8. Paquet Debian non natif initial</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="modify.fr.html">3. Modification du code source</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="modify.fr.html#quiltrc">3.1. Configuration de <span class="command"><strong>quilt</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="modify.fr.html#fixupstream">3.2. Correction de bogues amont</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="modify.fr.html#destdir">3.3. Installation des fichiers à leur emplacement</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="modify.fr.html#difflibs">3.4. Bibliothèques différentes</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="dreq.fr.html">4. Fichiers nécessaires dans le répertoire <code class="filename">debian</code></a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="dreq.fr.html#control">4.1. <code class="filename">control</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dreq.fr.html#copyright">4.2. <code class="filename">copyright</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dreq.fr.html#changelog">4.3. <code class="filename">changelog</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dreq.fr.html#rules">4.4. <code class="filename">rules</code></a>
                </span>
              </dt>
              <dd>
                <dl>
                  <dt>
                    <span class="section">
                      <a href="dreq.fr.html#targets">4.4.1. Cibles du fichier <code class="filename">rules</code></a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="dreq.fr.html#defaultrules">4.4.2. Fichier <code class="filename">rules</code> par défaut</a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="dreq.fr.html#customrules">4.4.3. Personnalisation du fichier <code class="filename">rules</code></a>
                    </span>
                  </dt>
                </dl>
              </dd>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="dother.fr.html">5. Autres fichiers dans le répertoire <code class="filename">debian</code></a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#readme">5.1. <code class="filename">README.Debian</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#compat">5.2. <code class="filename">compat</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#conffiles">5.3. <code class="filename">conffiles</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#crond">5.4. <code class="filename"><em class="replaceable"><code>paquet</code></em>.cron.*</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#dirs">5.5. <code class="filename">dirs</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#doc-base">5.6. <code class="filename"><em class="replaceable"><code>paquet</code></em>.doc-base</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#docs">5.7. <code class="filename">docs</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#emacsen">5.8. <code class="filename">emacsen-*</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#examples">5.9. <code class="filename"><em class="replaceable"><code>paquet</code></em>.examples</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#initd">5.10. <code class="filename"><em class="replaceable"><code>paquet</code></em>.init</code> et
<code class="filename"><em class="replaceable"><code>paquet</code></em>.default</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#install">5.11. <code class="filename">install</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#info">5.12. <code class="filename"><em class="replaceable"><code>paquet</code></em>.info</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#links">5.13. <code class="filename"><em class="replaceable"><code>paquet</code></em>.links</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#lintian">5.14. <code class="filename">{<em class="replaceable"><code>paquet</code></em>.,source/}lintian-overrides</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#manpage">5.15. <code class="filename">manpage.*</code></a>
                </span>
              </dt>
              <dd>
                <dl>
                  <dt>
                    <span class="section">
                      <a href="dother.fr.html#manpage1">5.15.1. <code class="filename">manpage.1.ex</code></a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="dother.fr.html#manpagesgml">5.15.2. <code class="filename">manpage.sgml.ex</code></a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="dother.fr.html#manpagexml">5.15.3. <code class="filename">manpage.xml.ex</code></a>
                    </span>
                  </dt>
                </dl>
              </dd>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#manpages">5.16. <code class="filename"><em class="replaceable"><code>paquet</code></em>.manpages</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#menu">5.17. <code class="filename">menu</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#news">5.18. <code class="filename">NEWS</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#maintscripts">5.19. <code class="filename">{post,pre}{inst,rm}</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#symbols">5.20. <code class="filename"><em class="replaceable"><code>paquet</code></em>.symbols</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#todo">5.21. <code class="filename">TODO</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#watch">5.22. <code class="filename">watch</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#sourcef">5.23. <code class="filename">source/format</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#sourcel">5.24. <code class="filename">source/local-options</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#sourceopt">5.25. <code class="filename">source/options</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="dother.fr.html#patches">5.26. <code class="filename">patches/*</code></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="build.fr.html">6. Construction du paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="build.fr.html#completebuild">6.1. Reconstruction complète</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#autobuilder">6.2. Serveurs d'empaquetage automatique (« autobuilder »)</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#debuild">6.3. Commande <span class="command"><strong>debuild</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#pbuilder">6.4. Paquet <code class="systemitem">pbuilder</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#git-buildpackage">6.5. Commande <span class="command"><strong>git-buildpackage</strong></span> et similaires</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#quickrebuild">6.6. Reconstruction rapide</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="build.fr.html#hierarchy">6.7. Hiérarchie des commandes</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="checkit.fr.html">7. Contrôle des erreurs du paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#inadvent">7.1. Modifications suspectes</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#pinstall">7.2. Vérification de l'installation d'un paquet</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#pmaintscripts">7.3. Vérification des scripts du responsable d'un paquet</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#lintians">7.4. Utilisation de <code class="systemitem">lintian</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#debc">7.5. Commande <span class="command"><strong>debc</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#debdiff">7.6. Commande <span class="command"><strong>debdiff</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#interdiff">7.7. Commande <span class="command"><strong>interdiff</strong></span></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="checkit.fr.html#mc">7.8. Commande <span class="command"><strong>mc</strong></span></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="update.fr.html">8. Mise à jour de paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="update.fr.html#newrevision">8.1. Nouvelle révision Debian</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="update.fr.html#inspectnewupstream">8.2. Examen d'une nouvelle version amont</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="update.fr.html#newupstream">8.3. Nouvelle version amont</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="update.fr.html#packagestyle">8.4. Mise à jour du style d'empaquetage</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="update.fr.html#utf8">8.5. Conversion en UTF-8</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="update.fr.html#reminders">8.6. Rappels pour la mise à jour de paquets</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="chapter">
              <a href="upload.fr.html">9. Envoi de paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="upload.fr.html#upload-debian">9.1. Envoi vers l'archive Debian</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="upload.fr.html#option-sa">9.2. Inclusion de <code class="filename">orig.tar.gz</code> pour l'envoi</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="upload.fr.html#skipped-uploads">9.3. Versions non envoyées</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="appendix">
              <a href="advanced.fr.html">A. Empaquetage avancé</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="advanced.fr.html#library">A.1. Bibliothèques partagées</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="advanced.fr.html#librarysymbols">A.2. Gestion de
<code class="filename">debian/<em class="replaceable"><code>paquet</code></em>.symbols</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="advanced.fr.html#multiarch">A.3. Multiarchitecture</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="advanced.fr.html#librarypackage">A.4. Construction d'un paquet de bibliothèque partagée</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="advanced.fr.html#native-dh-make">A.5. Paquet Debian natif</a>
                </span>
              </dt>
            </dl>
          </dd>
        </dl>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="start.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top"> </td>
          <td align="center"> </td>
          <td align="right" valign="top"> Chapitre 1. Partir du bon pied</td>
        </tr>
      </table>
    </div>
  </body>
</html>
